apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: goalert
  namespace: goalert
spec:
  interval: 5m
  timeout: 10m
  values:
    image:
      name: cr.yandex/crp3ccidau046kdj8g9q/goalert:0.32.0
      pullPolicy: IfNotPresent
    imagePullSecrets:
      - name: regcred
    global:
      imagePullSecrets:
        - regcred
    goalert:
      existingSecret:
        name: postgresql-secret
        keys:
          GOALERT_DB_URL: GOALERT_DB_URL
          GOALERT_DATA_ENCRYPTION_KEY: GOALERT_DATA_ENCRYPTION_KEY
      environment:
        GOALERT_HTTP_PREFIX: ""
    postgresql:
      enabled: false
    ingress:
      enabled: false
      className: nginx
      hosts:
        - host: vmalert.brusnika.onprem.sarex.io
          paths:
            - path: /
              pathType: Prefix
